Name:           perl-MooseX-Types-LoadableClass
Version:        0.015
Release:    3%{?dist}
Summary:        ClassName type constraint with coercion to load the class
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/MooseX-Types-LoadableClass
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/MooseX-Types-LoadableClass-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build::Tiny) >= 0.030
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Pod::Coverage)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Requirements)

%{?perl_default_filter}

%description
ClassName type constraint with coercion to load the class.

%prep
%setup -q -n MooseX-Types-LoadableClass-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install '--destdir=%{buildroot}' --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%license LICENCE
%{perl_vendorlib}/MooseX*
%{_mandir}/man3/MooseX*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.015-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.015-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.015-1
- initial build
